Account, security & notifications
Get Transition History
Lists PersonTransitionEvent records for a roleInOrg via PersonTransitionService.
GEThttps://api.toku.com/hris/get-transition-history
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-transition-history?roleInOrgID=%3CroleInOrgID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"events": [
{
"personTransitionEventID": "string",
"roleInOrgID": "string",
"orgID": "string",
"previousEmploymentType": "CONTRACTOR",
"newEmploymentType": "CONTRACTOR",
"previousRole": "TOKU_ADMIN",
"newRole": "TOKU_ADMIN",
"performedByID": "string",
"occurredAt": "string",
"reason": "string",
"previousContractEndDate": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>requiredResponse
200Successful response
eventsobject[]requiredShow child attributes
personTransitionEventIDstringrequiredroleInOrgIDstring | nullrequiredorgIDstringrequiredpreviousEmploymentTypestring | nullrequiredAvailable options: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER, null
newEmploymentTypestringrequiredAvailable options: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER
previousRolestring | nullrequiredAvailable options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT, null
newRolestring | nullrequiredAvailable options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT, null
performedByIDstring | nullrequiredoccurredAtstringrequiredreasonstring | nullrequiredmetadataanyrequiredpreviousContractEndDatestring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits